<?php
/*
Plugin Name: Better tag cloud widget
Plugin URI: http://www.nkuttler.de/wordpress/nktagcloud/
Author: Nicolas Kuttler
Author URI: http://www.nkuttler.de/
Description: A better tag cloud widget than the default one.
Version: 0.8.0alpha-1
*/

/**
 * Check if we run as admin or normal user
 *
 * @since 0.8.0
 */
function nktagcloud_load() {
	// always needed
	require_once( 'inc/widget.php' );
	register_sidebar_widget( 'Better tag cloud', 'widget_nktagcloud' );

	// Assume that bloggers upgrade the plugin manually without de- and
	// reactivating it and force the data model upgrade
	// TODO remove this code somewhen in the future...
	if ( get_option('nktagcloud_title') ) {
		require_once( 'inc/admin.php' );
		nktagcloud_migrate_to_0_8_0();
	}
	if ( is_admin() ) {
		require_once( 'inc/admin.php' );
		add_action( 'admin_menu', 'nktagcloud_add_pages' );
		register_widget_control( 'Better tag cloud', 'nktagcloud_control' );
		register_activation_hook( __FILE__, 'nktagcloud_install' );
	}
}
nktagcloud_load();
